
/*

gcc -o test-trigger-launcher-options \
  test-trigger-launcher-options.c \
  xfce-trigger-launcher-options.c \
  xfce-launcher-command-entry.c \
  xfce-file-chooser-button.c \
  $(pkg-config --cflags --libs gtk+-2.0 libxfcegui4-1.0) \
  -DHAVE_STRING_H \
  -g3

*/

#include <gtk/gtk.h>
#include "xfce-trigger-launcher-options.h"

int main(int argc, char* argv[])
{
    XfceTriggerLauncherOptions*  options_1;
    GtkDialog* dialog_1;
    
    gtk_init (&argc, &argv);
    
    options_1 = xfce_trigger_launcher_options_new ();

    dialog_1 = GTK_DIALOG(gtk_dialog_new_with_buttons ("Properties",
      NULL,
      GTK_DIALOG_DESTROY_WITH_PARENT | GTK_DIALOG_NO_SEPARATOR,
      GTK_STOCK_CLOSE, GTK_RESPONSE_OK,
      NULL));
      
    gtk_widget_show (options_1);
    gtk_box_pack_start (GTK_BOX(dialog_1->vbox), GTK_WIDGET(options_1), TRUE, TRUE, 7);

    gtk_dialog_run (dialog_1);

    return 0;
}
